Subject: USPS Freight - 02 16 2016
From: Subir Chakma <[email-masked]>
To: Ahlem <[email-masked]>, Dhananjay <[email-masked]>, Maria <[email-masked]>, Sami <[email-masked]>, "Amandeep Jangra" <[email-masked]>, Anand Babu <[email-masked]>, "Eman Sharafeldein" <[email-masked]>, "Gelna Genosolango" <[email-masked]>, "Jaspal singh" <[email-masked]>, "Karan Sehgal" <[email-masked]>, "Kartik p . rao" <[email-masked]>, "Mahir Lubbad" <[email-masked]>, Majed Alkanad <[email-masked]>, "Pankaj Sharma" <[email-masked]>, Raj Bhushan Singh <[email-masked]>, "Soumaya Zahiri" <[email-masked]>, "Subir Ch
Date: Wed, 17 Feb 2016 20:45:00 +0530 (IST)

Hello, 

USPS did NOT deliver anything to our facility 2/15-2/16. They called me directly yesterday morning and said they were running behind and wouldn’t have anything ready for delivery until 1PM. They then called back and spoke with Eddie and told him they didn’t have any couriers to drop off the freight until 5-6PM. They ended up not delivering the freight and they dropped it this morning at 0745. 

The USPS website shows they “delivered” the freight at 1:06pm yesterday which is not the case. I have spoken with USPS Huber Heights manager Dave and called the post master in Dayton. They are aware of the issue and how unhappy I am with them falsifying information. Please advise all CS agents to NOT send tickets regarding missing shipments from USPS from 02/16. I already have a couple and I see this becoming a larger issue. 

USPS freight from Monday February 15th – Wednesday February 17th will be delivered to us today and processed into the system by EOD. If you could please assist me on this I would greatly appreciate it. 

Thank you, 

Jessica Seymour 

Regards